<?php $this->load->view("partial/header"); ?>
<div id="page_title">Fórmulas</div>


<script type="text/javascript">
$(document).ready(function()
{
    $('#generate_barcodes').click(function()
    {
        window.open(
            'index.php/items/generate_barcodes/'+table_support.selected_ids().join(':'),
            '_blank' // <- This is what makes it open in a new window.
        );
    });
    
    // when any filter is clicked and the dropdown window is closed
    $('#filters').on('hidden.bs.select', function(e)
    {
        table_support.refresh();
    });

    // load the preset datarange picker
    <?php $this->load->view('partial/daterangepicker'); ?>
    // set the beginning of time as starting date
    $('#daterangepicker').data('daterangepicker').setStartDate("<?php echo date($this->config->item('dateformat'), mktime(0,0,0,01,01,2010));?>");
    // update the hidden inputs with the selected dates before submitting the search data
    var start_date = "<?php echo date('Y-m-d', mktime(0,0,0,01,01,2010));?>";
    $("#daterangepicker").on('apply.daterangepicker', function(ev, picker) {
        table_support.refresh();
    });

    $("#stock_location").change(function() {
       table_support.refresh();
    });

    <?php $this->load->view('partial/bootstrap_tables_locale'); ?>

    table_support.init({
        employee_id: <?php echo $this->Employee->get_logged_in_employee_info()->person_id; ?>,
        resource: '<?php echo site_url($controller_name);?>',
        headers: <?php echo $table_headers; ?>,
        pageSize: <?php echo $this->config->item('lines_per_page'); ?>,
        uniqueId: 'items.item_id',
        queryParams: function() {
            return $.extend(arguments[0], {
                start_date: start_date,
                end_date: end_date,
                stock_location: $("#stock_location").val(),
                filters: $("#filters").val() || [""]
            });
        },
        onLoadSuccess: function(response) {
            $('a.rollover').imgPreview({
                imgCSS: { width: 200 },
                distanceFromCursor: { top:10, left:-210 }
            })
        }
    });
});
</script>

    <script language="javascript">
        function doSearch()
        {
            var tableReg = document.getElementById('datos');
            var searchText = document.getElementById('searchTerm').value.toLowerCase();
            var cellsOfRow="";
            var found=false;
            var compareWith="";
 
            // Recorremos todas las filas con contenido de la tabla
            for (var i = 1; i < tableReg.rows.length; i++)
            {
                cellsOfRow = tableReg.rows[i].getElementsByTagName('td');
                found = false;
                // Recorremos todas las celdas
                for (var j = 0; j < cellsOfRow.length && !found; j++)
                {
                    compareWith = cellsOfRow[j].innerHTML.toLowerCase();
                    // Buscamos el texto en el contenido de la celda
                    if (searchText.length == 0 || (compareWith.indexOf(searchText) > -1))
                    {
                        found = true;
                    }
                }
                if(found)
                {
                    tableReg.rows[i].style.display = '';
                } else {
                    // si no ha encontrado ninguna coincidencia, esconde la
                    // fila de la tabla
                    tableReg.rows[i].style.display = 'none';
                }
            }
        }
    </script>
<script type="text/javascript">


$("#number").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        .replace(/([0-9])([0-9]{2})$/, '$1.$2')
                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ",");
        });
    }
});


$("#precio").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        .replace(/([0-9])([0-9]{2})$/, '$1.$2')
                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ",");
        });
    }
});

/* Sumar dos números. */
function sumar() {

  var total = 0;

  $(".monto").each(function() {

    if (isNaN(parseFloat($(this).val()))) {

      total += 0;

    } else {

      total += parseFloat($(this).val());

    }

  });

  //alert(total);
  document.getElementById('spTotal').innerHTML = total;

}

</script>




<form class="pull-right">
    <input id="searchTerm" type="text" onkeyup="doSearch()" class="form-control input-sm" placeholder="Buscar" />
</form>

<a href="<?php echo site_url($controller_name."/add_formula"); ?>" class="btn btn-primary btn-sm active pull-right" role="button">Nueva Fórmula</a> 

<div class="row">

    <div id="table_holder">
        <table id="datos" class="table table-bordered table-hover">
            <thead>
                <tr>
                    <th>Código</th>
                    <th>Artículo</th>
                    <th>Descripción</th>
                    <th>Cantidad</th>
                    <th>U.Medida</th>
                    <th style="width: 20px;"></th>
                    <th style="width: 20px;"></th>
                </tr>
            </thead>
            <tbody>
            <?php foreach($items->result_array() as $item)
                {?>
                <tr>
                    <td><?php  echo $item['formula_id'];?></td>
                    <td><?php  echo $item['name'].'('.$item['item_number'].')';?></td>
                    <td><?php  echo $item['description'];?></td>
                    <td><?php  echo number_format($item['quantity']);?></td>
                    <td><?php  echo $item['unit_measurement'];?></td>

                    <td>
                    <form action="<?php echo site_url($controller_name."/edit_formula"); ?>" method="put">

                    <input type="hidden" name="formula_id" value="<?php  echo $item['formula_id'];?>" required/> 
                    <input type="hidden" name="description" value="<?php  echo $item['description'];?>" required/>
                    <input type="hidden" name="item_number" value="<?php  echo $item['item_number'];?>" required/>  
                    <input type="hidden" name="name" value="<?php  echo $item['name'];?>" required/>  
                    <input type="hidden" name="quantity" value="<?php  echo $item['quantity'];?>" required/>
                    <input type="hidden" name="unit_measurement" value="<?php  echo $item['unit_measurement'];?>" required/>
                    <input type="hidden" name="item_id" value="<?php  echo $item['item_id'];?>" required/>
                    <input type="submit" value="Editar" class="btn btn-info btn-sm active" />
                    </form>
                    </td>                  
                    <td>
                    <form action="<?php echo site_url($controller_name."/delete_formula"); ?>" method="put">

                    <input type="hidden" name="formula_id" value="<?php  echo $item['formula_id'];?>" required/>                      
                    <input type="submit" value="Eliminar" class="btn btn-danger btn-sm active" />
                    </form>
                    </td>
                    
                    
                </tr>
            <?php }?>
            </tbody>
        </table>
    </div>
</div>





<script type="text/javascript">
$(document).ready(function()
{
    $("#item").autocomplete(
    {
        source: '<?php echo site_url($controller_name."/item_search"); ?>',
        minChars:0,
        delay:10,
        autoFocus: false,
        select: function (a, ui) {
            $(this).val(ui.item.value);
            $("#add_item_form").submit();
        }
    });


    $('#item').keypress(function (e) {
        if (e.which == 13) {
            $('#add_item_form').submit();
            return false;
        }
    });

    $('#item').blur(function()
    {
        $(this).attr('value',"<?php echo $this->lang->line('sales_start_typing_item_name'); ?>");
    });

    $('#comment').keyup(function() 
    {
        $.post('<?php echo site_url($controller_name."/set_comment");?>', {comment: $('#comment').val()});
    });

    $('#recv_reference').keyup(function() 
    {
        $.post('<?php echo site_url($controller_name."/set_reference");?>', {recv_reference: $('#recv_reference').val()});
    });

    $("#recv_print_after_sale").change(function()
    {
        $.post('<?php echo site_url($controller_name."/set_print_after_sale");?>', {recv_print_after_sale: $(this).is(":checked")});
    });

    $('#item,#supplier').click(function()
    {
        $(this).attr('value','');
    });

    $("#supplier").autocomplete(
    {
        source: '<?php echo site_url("suppliers/suggest"); ?>',
        minChars:0,
        delay:10,
        select: function (a, ui) {
            $(this).val(ui.item.value);
            $("#select_supplier_form").submit();
        }
    });

    dialog_support.init("a.modal-dlg, button.modal-dlg");

    $('#supplier').blur(function()
    {
        $(this).attr('value',"<?php echo $this->lang->line('receivings_start_typing_supplier_name'); ?>");
    });

    $("#finish_receiving_button").click(function()
    {
        $('#finish_receiving_form').submit();
    });

    $("#cancel_receiving_button").click(function()
    {
        if (confirm('<?php echo $this->lang->line("receivings_confirm_cancel_receiving"); ?>'))
        {
            $('#finish_receiving_form').attr('action', '<?php echo site_url($controller_name."/cancel_receiving"); ?>');
            $('#finish_receiving_form').submit();
        }
    });

    $("#cart_contents input").keypress(function(event)
    {
        if (event.which == 13)
        {
            $(this).parents("tr").prevAll("form:first").submit();
        }
    });

    table_support.handle_submit = function(resource, response, stay_open)
    {
        if(response.success)
        {
            if (resource.match(/suppliers$/))
            {
                $("#supplier").attr("value",response.id);
                $("#select_supplier_form").submit();
            }
            else
            {
                $("#item").attr("value",response.id);
                if (stay_open)
                {
                    $("#add_item_form").ajaxSubmit();
                }
                else
                {
                    $("#add_item_form").submit();
                }
            }
        }
    }
});

</script>
<?php $this->load->view("partial/footer2"); ?>
<?php $this->load->view("partial/footer"); ?>


